#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for mini_httpd module
#
# Copyright (c) 2006-2010 Andreas Pohl, apohl(at)ibp-consult(dot)com
# Copyright (c) 2011      The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-01 ap
# Last Update:  $Id: install.sh 28196 2011-04-28 16:26:03Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# include eislib etc.
. /var/install/include/eislib
. /var/install/include/check-eisfair-version

# set variables
module_name='mini_httpd_packagestatus'

mini_httpd_path=/usr/local/htdocs

mecho --info "running install.sh ..."

mecho "adding menu ..."
/var/install/bin/add-menu -menu "setup.services.mini_httpd.module.menu" \
    "setup.services.mini_httpd.module.${module_name}.menu" "Package Status - Show eisfair package status"

# menue entry does not exist - create it
mecho "adding ${module_name} module menu ..."

# delete menu entries (if already exist)
for CGINAME in ./packagestatus/packagestatus.cgi ./packagestatus/packagestatus.html
do
    /usr/local/bin/httpd-menu.sh rem "${CGINAME}"
done

# make menu entry (to update old installations)
if [ -f ${mini_httpd_path}/packagestatus/packagestatus.html ]
then
    /usr/local/bin/httpd-menu.sh add "./packagestatus/packagestatus.html" "Packages" "Tools"
fi

mecho "setting file/directory access rights ..."

chmod -R 550 ${mini_httpd_path}/packagestatus/*.cgi
chmod -R 550 ${mini_httpd_path}/packagestatus/*.sh

exit 0
