#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - pre-installation file for mini_httpd module
#
# Copyright (c) 2006-2010 Andreas Pohl, apohl(at)ibp-consult(dot)com
# Copyright (c) 2011      The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-01 ap
# Last Update:  $Id: preinstall.sh 28448 2011-05-29 10:05:40Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# include eislib etc.
. /var/install/include/eislib

old_module_name='packagestatus'
module_name='mini_httpd_packagestatus'

mecho --info "running preinstall.sh ..."

old_deinstallfile=/var/install/deinstall/${old_module_name}
deinstallfile=/var/install/deinstall/${module_name}

if [ ! -f /var/install/packages/mini_httpd ]
then
    mecho --error "Installation of ${module_name} failed. You have to install mini_httpd!"
    mecho --error "Install it from http://www.pack-eis.de/."
    exit 1
fi

mecho "deinstalling previously installed software ..."

if [ -f ${old_deinstallfile} ]
then
    # delete legacy package
    /var/install/bin/del-package -p ${old_module_name} update > /dev/null 2> /dev/null

    # delete legacy menue entry
    /var/install/bin/del-menu /var/install/bin/setup.services.mini_httpd.module.${old_module_name} \
        /var/install/menu/setup.services.mini_httpd.module.menu
elif [ -f ${deinstallfile} ]
then
    /var/install/bin/del-package -p ${module_name} --update
fi

exit 0
